Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The Vue DatePicker is a lightweight and mobile-friendly component that allows end users to enter or select a date value. It has month, year, and decade view options to quickly navigate to the desired date. It supports minimum dates, maximum dates, and disabled dates to restrict date selection.


Vue DatePicker with masked date input

Mask Date Input

Enter valid dates in the correct format and avoid data input errors during data entry.


Month or year picker

Select only a month or a year as a value (Month Picker or Year Picker) from a pop-up calendar.


Custom date format

Change the default culture’s specific date format in the text box to improve readability or to enter the date properly.


Date selection within a date range

Restrict the users from selecting a date within the particular range of dates by using the min and max properties.


Disabled dates

Disable any date in the DatePicker to show it as an inactive date. Easily prevent weekends and holidays from being selected by disabling them in the pop-up calendar.


Form support and date validation

Date values are validated within a minimum and maximum range to enforce entering only a valid date value. In a form component, integrate the form validation plugin to perform custom validation in the date text box.

Form support and date validation in Vue datepicker


Multi-language DatePicker

Update the culture-specific date format and first day of the week, and translate the names of months, days, and today button text to any supported language with the globalization features.


Custom DatePicker

Apart from the standard, built-in themes, the appearance of the component can be customized to suit your application style.


Customization in Vue DatePicker

Customization

The Vue DatePicker component allows for full customization of the input element and the calendar. This lets you match it to the design of your application and create a seamless user experience


Highlight weekends

Highlight any date in a year or every weekend in a month as special days using custom styling.


Change first day of week

Auto-update the first day of the week based on the specified culture or change it based on your application.


Week number

Show the week number of the selected day in the pop-up calendar by enabling the week number option.


Islamic DatePicker

In addition to the Gregorian DatePicker, the Vue DatePicker component supports displaying the Islamic DatePicker (Hijri DatePicker).


Web accessibility

  • Fully supports WAI-ARIA accessibility that helps the DatePicker be accessed by on screen readers and assistive devices.
  • Follows WAI-ARIA best practices for implementing keyboard interaction.
  • Uses WCAG 2.0-based design for UI visual elements such as foreground color, background color, line spacing, text and images.
  • Supports right-to-left (RTL) direction for users working with RTL languages like Hebrew and Arabic.

Mobile-friendly responsive DatePicker UI

The Vue DatePicker provides a responsive mode that gives an adaptive, redesigned UI appearance for mobile devices.


Developer-friendly API’s

You have control over all the UI elements and behaviors of the components with a rich set of developer-friendly APIs to provide the best experience to your end users.

Built-in themes

The Vue DatePicker supports several built-in themes such as Material, Bootstrap, Fabric (Office 365), Tailwind CSS, and High Contrast. Users can customize any one of these built-in themes or create new themes to achieve their own desired look and feel either by simply overriding SASS variables or using our Theme Studio application.


Vue DatePicker Code Example

Easily get started with the Vue DatePicker using a few simple lines of Vue codes as demonstrated below. Also explore our Vue DatePicker Example that shows you how to render and configure a DatePicker in Vue.

  1. <template>
  2. <div class="col-lg-12 control-section">
  3. <div id="wrapper">
  4. <ejs-datepicker id="datepicker" :placeholder="waterMarkText"></ejs-datepicker>
  5. </div>
  6. </div>
  7. </template>
  8.  
  9. <script>
  10. import Vue from "vue";
  11. import { DatePickerPlugin } from "@syncfusion/ej2-vue-calendars";
  12. Vue.use(DatePickerPlugin);
  13. export default Vue.extend({
  14. data: function() {
  15. return {
  16. waterMarkText: "Choose a date"
  17. };
  18. }
  19. });
  20. </script>
  21.  
  22. <style scoped>
  23. #wrapper {
  24. max-width: 246px;
  25. margin: 30px auto;
  26. padding-top: 15px;
  27. }
  28. </style>

Other supported frameworks

The DatePicker component is also available in Blazor, React, Angular, and JavaScript frameworks. Check out the different DatePicker platforms from the links below,

90+ VUE UI COMPONENTS

Frequently Asked Questions

  • Allows users to enter or select a date value. This is a lightweight, feature-rich, and easily configurable text-input component.
  • Users can also use the date picker as a month or year picker.
  • Supports week numbers, disabled dates, highlighting holidays, changing first day of the week, etc.
  • One of the best Vue DatePicker in the market that offers feature-rich UI to interact with the software.
  • Simple configuration and API.
  • Supports all modern browsers.
  • Mobile-touch friendly and responsive.
  • Expansive learning resources such as demos and documentation to let you get started quickly with Vue DatePicker.

We do not sell the Vue DatePicker separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the Vue DatePicker. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our Vue DatePicker demo, which demonstrates how to render and configure the DatePicker.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our Vue DatePicker, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their DatePicker component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us

Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The React DatePicker is a lightweight and mobile-friendly component that allows end users to enter or select a date value. It has month, year, and decade view options to quickly navigate to the desired date. It supports minimum dates, maximum dates, disabled dates to restrict date selection and industry-standard themes such as Material, Fabric, and Bootstrap.


React DatePicker with masked date input

Mask Date Input

Enter valid dates in the correct format and avoid data input errors during data entry.


Month or year picker

Select only a month or a year as a value (Month Picker or Year Picker) from a pop-up calendar.


Custom date format

Change the default culture’s specific date format in the text box to improve readability or to enter the date properly.


Date selection within a date range

Restrict the users from selecting a date within the particular range of dates by using the min and max properties.


Disabled dates

Disable any date in the DatePicker to show it as an inactive date. Easily prevent weekends and holidays from being selected by disabling them in the pop-up calendar.


Form support and date validation

Date values are validated within a minimum and maximum range to enforce entering only a valid date value. In a form component, integrate the form validation plugin to perform custom validation in the date text box.

Form support and date validation in react datepicker


Multi-language DatePicker

Update the culture-specific date format and first day of the week, and translate the names of months, days, and today button text to any supported language with the globalization features.


Custom DatePicker

Apart from the standard, built-in themes, the appearance of the component can be customized to suit your application style.


Customization in React DatePicker

Customization

The React DatePicker component allows for full customization of the input element and the calendar. This lets you match it to the design of your application and create a seamless user experience.


Highlight weekends

Highlight any date in a year or every weekend in a month as special days using custom styling.


Change first day of week

Auto-update the first day of the week based on the specified culture or change it based on your application.


Week number

Show the week number of the selected day in the pop-up calendar by enabling the week number option.


Islamic DatePicker

In addition to the Gregorian DatePicker, the DatePicker component supports displaying the Islamic DatePicker (Hijri DatePicker).


Other supported frameworks

DatePicker component is also available in Blazor, Vue, Angular, and JavaScript frameworks. Check out the different Datepicker platforms from the links below,


Web accessibility

  • Fully supports WAI-ARIA accessibility that helps the DatePicker be accessed by on screen readers and assistive devices.
  • Follows WAI-ARIA best practices for implementing keyboard interaction.
  • Uses WCAG 2.0-based design for UI visual elements such as foreground color, background color, line spacing, text and images.
  • Supports right-to-left direction for users working with RTL languages like Hebrew and Arabic.

Mobile-friendly responsive DatePicker UI

The React DatePicker provides a responsive mode that gives an adaptive, redesigned UI appearance for mobile devices.


Developer-friendly API’s

You have control over all the UI elements and behaviors of the components with a rich set of developer-friendly APIs to provide the best experience to your end users.

Built-in themes

The React DatePicker supports several built-in themes such as Material, Bootstrap, Fabric (Office 365), Tailwind CSS, and high contrast. Users can customize any one of these built-in themes or create new themes to achieve their own desired look and feel either by simply overriding SASS variables or using our Theme Studio application.


React DatePicker Code Example

Easily get started with the React DatePicker using a few simple lines of TSX code example as demonstrated below. Also explore our React DatePicker Example that shows you how to render and configure a DatePicker in React.

  1. import * as ReactDOM from 'react-dom';
  2. import * as React from 'react';
  3. import { DatePickerComponent } from '@syncfusion/ej2-react-calendars';
  4. import { SampleBase } from '../common/sample-base';
  5. import './default-style.css';
  6.  
  7. export class Default extends SampleBase<{}, {}> {
  8. private dateValue: Date = new Date();
  9. render() {
  10. return (
  11. <div className='control-pane'>
  12. <div className='control-section'>
  13. <div className='datepicker-control-section'>
  14. <DatePickerComponent value={this.dateValue}></DatePickerComponent>
  15. </div>
  16. </div>
  17. </div>
  18. )
  19. }
  20. }

90+ REACT UI COMPONENTS

Frequently Asked Questions

Syncfusion React DatePicker provides the following features:

  • A lightweight, feature-rich, and easily configurable text-input datepicker component.
  • Built-in features such as validation, custom date formats, range restriction, and disable dates to improve user experience.
  • Flexibility to use a month or year only DatePicker.
  • One of the best React DatePicker in the market that offers feature-rich UI to interact with the software.
  • Simple configuration and API.
  • Supports all modern browsers.
  • Expansive learning resources such as demos, documentation and videos to let you get started quickly with the React DatePicker component.

We do not sell the React DatePicker separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the React DatePicker. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our React DatePicker demo, which demonstrates how to render and configure the DatePicker.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our React DatePicker, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their DatePicker component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us